/*$Id: ScopFac.h 1.1 1996/07/19 00:14:13 Damien Exp $*/

#ifndef __SCOPFAC__
#define __SCOPFAC__  

#ifndef __I3DEX__
#include "I3DEx.h"
#endif
                  
// SceneOp Class Factory :
class SceneOpClassFactory : public IClassFactory {
public:
  SceneOpClassFactory(void);
  ~SceneOpClassFactory(void);

  //IUnknown members
  STDMETHODIMP         QueryInterface(REFIID, LPVOID FAR*);
  STDMETHODIMP_(ULONG) AddRef(void);
  STDMETHODIMP_(ULONG) Release(void);

  //IClassFactory members
  STDMETHODIMP         CreateInstance(LPUNKNOWN, REFIID, LPVOID FAR*);
  STDMETHODIMP         LockServer(BOOL);
protected:
  ULONG           m_cRef;
  };                         

#endif

